##
## test_waeuptest.py
"""
Test setup for the waeup.sirp package.
"""
import grok
import re
import zope.component.eventtesting
from zope.testing import renormalizing
from waeup.sirp.testing import FunctionalLayer

def setUpZope(test):
    zope.component.eventtesting.setUp(test)

checker = renormalizing.RENormalizing([
        (re.compile('[\d]{10}'), '<10-DIGITS>'),
        ])

# Register all tests in the waeup.sirp package
test_suite = grok.testing.register_all_tests(
    'waeup.sirp', checker=checker, usetup=setUpZope,
    layer=FunctionalLayer)
