"""This package contains everything regarding students.
"""
# Make this a package.
from waeup.sirp.students.student import (
    Student, StudentFactory
    )
from waeup.sirp.students.container import StudentsContainer
from waeup.sirp.students.studycourse import StudentStudyCourse
from waeup.sirp.students.payments import StudentPaymentsContainer
from waeup.sirp.students.accommodation import StudentAccommodation


__all__ = [
    'Student',
    'StudentFactory',
    'StudentsContainer',
    'StudentStudyCourse',
    'StudentPaymentsContainer',
    'StudentAccommodation'
    ]